org.apache.jasper.compiler

## Interface JarResource

- All Known Implementing Classes:
    JarURLResource

      public interface JarResource

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.net.URL` | `getEntry(java.lang.String name)`
    `java.util.jar.JarFile` | `getJarFile()`
    `java.lang.String` | `getUrl()`

- - ### Method Detail

    - #### getJarFile

          java.util.jar.JarFile getJarFile()
                                           throws java.io.IOException

      Returns:
        The JarFile for this resource. A new instance of JarFile should be returned on each call.
      Throws:
        `java.io.IOException` - If an I/O error occurs reading the JAR

    - #### getUrl

          java.lang.String getUrl()

      Returns:
        The URL of this resource. May or may not point to the actual Jar file.

    - #### getEntry

          java.net.URL getEntry(java.lang.String name)

      Parameters:
        `name` - Name of entry to return
      Returns:
        The URL for the entry within this resource.

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.